<script setup lang="ts">
import { useRouter } from 'vue-router';
import useUserStore from '@/store/modules/user'
const userStore = useUserStore()
let $router = useRouter();
const goHome = () => {
  if(userStore.userType != 'system' ){
    $router.push('/index')

  } else {
    $router.push('/company')
  }
}
</script>

<template>
  <div class="box">
    <img src="../../assets/images/error_images/404.png" />
    <div>
      <!-- <h2>{{ $t('common.Thepageyouvisiteddoesnotexist') }}</h2>
      <p>{{ $t('common.Pleasecheckreturntohomepage') }}</p>
      <div>
        <el-button type="primary" round @click="goHome">{{ $t('common.toHomepage') }}</el-button>
      </div> -->
    </div>
  </div>
</template>

<style scoped lang="scss">
.box {
  width: 100vw;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;

  img {
    width: 800px;
    height: 400px;
  }

  &>div {
    display: flex;
    flex-direction: column;

    h2 {
      color: var(--el-color-primary);
      font-size: 36px;
      font-weight: 600;
    }

    p {
      color: gray;
      font-size: 16px;
      margin: 20px 0 50px 0;
    }
  }
}
</style>